# Gtk::Box_Helpers::Element Class Reference

Inheritance diagram for Gtk::Box_Helpers::Element:
[legend]
Collaboration diagram for Gtk::Box_Helpers::Element:
[legend]

List of all members.

## Public Member Functions

| Element (Widget& widget, PackOptions options=PACK_EXPAND_WIDGET, guint padding=0, PackType pack=PACK_START)

## Public Attributes

Widget* | widget_
PackOptions | options_
guint | padding_
PackType | pack_

## Constructor & Destructor Documentation

Gtk::Box_Helpers::Element::Element | ( | Widget& | widget,
|  | PackOptions | options = `PACK_EXPAND_WIDGET`,
|  | guint | padding = `0`,
|  | PackType | pack = `PACK_START`
| ) |  | `[inline]`

## Member Data Documentation

PackOptions Gtk::Box_Helpers::Element::options_

PackType Gtk::Box_Helpers::Element::pack_

guint Gtk::Box_Helpers::Element::padding_

Widget* Gtk::Box_Helpers::Element::widget_

The documentation for this class was generated from the following file:

- gtkmm/box.h